#include "MaterialOverrideSubsystem.h"
#include "GameplayTagContainer.h"
#include "EMaterialOverrideParameterCopyType.h"
#include "UObject/SoftObjectPtr.h"

class UMeshComponent;
class UMaterialInterface;

bool UMaterialOverrideSubsystem::SetOverrideMaterialsAdvanced(UMeshComponent* mesh, FGameplayTag variantName, bool bCopyPhysicalMaterial, EMaterialOverrideParameterCopyType parameterCopyType)
{
	return false;
}

bool UMaterialOverrideSubsystem::SetOverrideMaterials(UMeshComponent* mesh, FGameplayTag variantName)
{
	return false;
}

void UMaterialOverrideSubsystem::RemoveVariantsWithNameFromLibrary(FGameplayTag variantName)
{

}

void UMaterialOverrideSubsystem::RemoveMaterialVariantOverride(UMeshComponent* mesh, FGameplayTag variantName)
{

}

void UMaterialOverrideSubsystem::AddNewVariantPairToLibrary(FGameplayTag variantName, TSoftObjectPtr<UMaterialInterface> src, TSoftObjectPtr<UMaterialInterface> dst)
{

}

UMaterialOverrideSubsystem::UMaterialOverrideSubsystem()
{

}
